Loading...
Searching...
No Matches
DcmQuantHistogramItem Class Reference

this class extends DcmQuantPixel by an integer value which is used for various purposes. More...

Inheritance diagram for DcmQuantHistogramItem:

## Public Member Functions

| DcmQuantHistogramItem (const DcmQuantPixel &colorP, int val)
| constructor
| DcmQuantHistogramItem ()
| default constructor
OFBool | equals (const DcmQuantPixel &colorP) const
| compares the stored pixel value with the given pixel.
int | getValue () const
| returns the integer value maintained by this object
void | setValue (int v)
| assigns a new integer value to this object
void | incValue ()
| increases the integer value maintained by this object by one
Public Member Functions inherited from DcmQuantPixel
| DcmQuantPixel ()
| default constructor, creates black pixel
| DcmQuantPixel (const DcmQuantPixel &arg)
| copy assignment constructor
virtual | ~DcmQuantPixel ()
| destructor
OFBool | operator== (const DcmQuantPixel &src) const
| comparison operator for equality
double | luminance () const
| this method computes the luminance of the current pixel according to the NTSC formula.
unsigned long | hash () const
| this method computes an unsigned long hash value for the current pixel.
DcmQuantComponent | getRed () const
| returns the red component
DcmQuantComponent | getGreen () const
| returns the green component
DcmQuantComponent | getBlue () const
| returns the blue component
void | assign (DcmQuantComponent r, DcmQuantComponent g, DcmQuantComponent b)
| assigns new R, G and B values to this pixel
void | scale (DcmQuantComponent r, DcmQuantComponent g, DcmQuantComponent b, const DcmQuantScaleTable &table)
| assigns new R, G and B values to this pixel using the given scale table in which all three values are looked up.

## Private Attributes

int | value
| integer value assigned to this pixel.

## Detailed Description

this class extends DcmQuantPixel by an integer value which is used for various purposes.

The class is used as a helper class during computation of an image histogram, as a member of a color LUT and as a member of a color hash table.

## Constructor & Destructor Documentation

## DcmQuantHistogramItem()

DcmQuantHistogramItem::DcmQuantHistogramItem | ( | const DcmQuantPixel & | colorP,
|  | int | val )

inline

constructor

Parameters

  colorP | pixel value
  val | initial value

References DcmQuantPixel::DcmQuantPixel(), and value.

## Member Function Documentation

## equals()

OFBool DcmQuantHistogramItem::equals | ( | const DcmQuantPixel & | colorP | ) | const

inline

compares the stored pixel value with the given pixel.

Parameters

  colorP | pixel to compare with

Returns
  true if pixel values are equal, false otherwise

References DcmQuantPixel::DcmQuantPixel().

## setValue()

void DcmQuantHistogramItem::setValue | ( | int | v | ) |

inline

assigns a new integer value to this object

Parameters

  v | new value

References value.

## Member Data Documentation

## value

int DcmQuantHistogramItem::value

private

integer value assigned to this pixel.

This value is used for different purposes. During computation of a histogram it is used as a counter that counts the instances of the current color. In a color hash table, it contains the index value from the color LUT assigned to this color. In a color LUT, it is the cluster value, i.e. the radius in which all color are guaranteed to be mapped to this palette color.

Referenced by DcmQuantHistogramItem(), DcmQuantHistogramItem(), getValue(), incValue(), and setValue().

The documentation for this class was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/diqthitm.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0